/* eslint-disable */
/* tslint:disable */
/*
 * ---------------------------------------------------------------
 * ## THIS FILE WAS GENERATED VIA SWAGGER-TYPESCRIPT-API        ##
 * ##                                                           ##
 * ## AUTHOR: acacode                                           ##
 * ## SOURCE: https://github.com/acacode/swagger-typescript-api ##
 * ---------------------------------------------------------------
 */

import { AccountLoginInput } from "../model/AccountLoginInput";
import { AccountRegisterInput } from "../model/AccountRegisterInput";
import { AccountSendSMSCodeInput } from "../model/AccountSendSMSCodeInput";
import { ChangeCompanyView } from "../model/ChangeCompanyView";
import { CompanyInfoAuditInput } from "../model/CompanyInfoAuditInput";
import { CompanyInfoCreateInput } from "../model/CompanyInfoCreateInput";
import { CompanyInfoUpdateInput } from "../model/CompanyInfoUpdateInput";
import { IdInput } from "../model/IdInput";
import { LoginView } from "../model/LoginView";
import { UserInfoView } from "../model/UserInfoView";

type ErrorMessageMode = "none" | "modal" | "message" | undefined;
export class AccountApi {
  public static defHttp: any = null;

  /**

* 
 * @tags Account
 * @name SendSmscode
 * @summary 获取验证码
 * @request POST:/open/account/send-smscode
 * @response  boolean 
 */
  public static async sendSmscode(data: AccountSendSMSCodeInput, mode: ErrorMessageMode = "modal"): Promise<boolean> {
    const requestpath = "/open/account/send-smscode";
    if (!AccountApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return AccountApi.defHttp.post<boolean>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags Account
 * @name Register
 * @summary 注册
 * @request POST:/open/account/register
 * @response  LoginView 
 */
  public static async register(data: AccountRegisterInput, mode: ErrorMessageMode = "modal"): Promise<LoginView> {
    const requestpath = "/open/account/register";
    if (!AccountApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return AccountApi.defHttp.post<LoginView>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags Account
 * @name Login
 * @summary 登录
 * @request POST:/open/account/login
 * @response  LoginView 
 */
  public static async login(data: AccountLoginInput, mode: ErrorMessageMode = "modal"): Promise<LoginView> {
    const requestpath = "/open/account/login";
    if (!AccountApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return AccountApi.defHttp.post<LoginView>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags Account
 * @name GetUserInfo
 * @request POST:/user/account/get-user-info
 * @response  UserInfoView 
 */
  public static async getUserInfo(mode: ErrorMessageMode = "modal"): Promise<UserInfoView> {
    const requestpath = "/user/account/get-user-info";
    if (!AccountApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return AccountApi.defHttp.post<UserInfoView>(
      {
        url: requestpath,
        method: "POST",
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags Account
 * @name GetCompanyList
 * @summary 获取可操作的公司列表
 * @request POST:/user/account/get-company-list
 * @response  void 
 */
  public static async getCompanyList(mode: ErrorMessageMode = "modal"): Promise<void> {
    const requestpath = "/user/account/get-company-list";
    if (!AccountApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return AccountApi.defHttp.post<void>(
      {
        url: requestpath,
        method: "POST",
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags Account
 * @name ChangeCompany
 * @summary 选择要操作的公司
 * @request POST:/user/account/change-company
 * @response  ChangeCompanyView 
 */
  public static async changeCompany(data: IdInput, mode: ErrorMessageMode = "modal"): Promise<ChangeCompanyView> {
    const requestpath = "/user/account/change-company";
    if (!AccountApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return AccountApi.defHttp.post<ChangeCompanyView>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags Account
 * @name CompanyInfo
 * @summary 根据公司Id获取公司数据
 * @request POST:/user/account/company-info
 * @response  void 
 */
  public static async companyInfo(data: IdInput, mode: ErrorMessageMode = "modal"): Promise<void> {
    const requestpath = "/user/account/company-info";
    if (!AccountApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return AccountApi.defHttp.post<void>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags Account
 * @name CreateCompany
 * @summary 创建公司
 * @request POST:/user/account/create-company
 * @response  boolean 
 */
  public static async createCompany(data: CompanyInfoCreateInput, mode: ErrorMessageMode = "modal"): Promise<boolean> {
    const requestpath = "/user/account/create-company";
    if (!AccountApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return AccountApi.defHttp.post<boolean>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags Account
 * @name UpdateCompany
 * @summary 修改公司信息
 * @request POST:/user/account/update-company
 * @response  boolean 
 */
  public static async updateCompany(data: CompanyInfoUpdateInput, mode: ErrorMessageMode = "modal"): Promise<boolean> {
    const requestpath = "/user/account/update-company";
    if (!AccountApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return AccountApi.defHttp.post<boolean>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
  /**

* 
 * @tags Account
 * @name Audit
 * @summary 公司审核  //todo 目前公司是用户申请的，那他怎么知道自己的上级公司是哪一个，或者是由平台层面进行分配？
//todo 这个接口的权限应该是只能由上级单位才能操作
 * @request POST:/user/account/audit
 * @response  boolean 
 */
  public static async audit(data: CompanyInfoAuditInput, mode: ErrorMessageMode = "modal"): Promise<boolean> {
    const requestpath = "/user/account/audit";
    if (!AccountApi.defHttp) {
      console.error("defHttp is null ");
      //@ts-ignore
      return null;
    }

    //@ts-ignore
    return AccountApi.defHttp.post<boolean>(
      {
        url: requestpath,
        method: "POST",
        data: data,
      },
      {
        errorMessageMode: mode,
      },
    );
  }
}
